<?php

//require_once 'language.php';
require_once 'lib/utils.php';
require_once 'lib/abstract_controls_screen.php';
require_once 'lib/user_input_handler_registry.php';

class IzhcomSetupScreen extends AbstractControlsScreen {
	private $session;
	private $handler;

    const ID = 'setup';

    public function __construct(&$session, &$handler) {
    	$this->session = $session;
    	$this->handler = $handler;
        parent::__construct(self::ID);
    }

    public function do_get_control_defs(&$plugin_cookies) {
        $defs = array();

        if(isset($plugin_cookies->auth_id) && $plugin_cookies->auth_id) {
        	$this->add_button($defs, 'clear_auth_info', OPT_TEXT_LOGOUT_DESCR . ' ' . $plugin_cookies->auth_id . ' ' , OPT_TEXT_LOGOUT, 300);
        } else
			$this->add_label($defs, '', OPT_NOT_LOGGED_IN);

        return( $defs );
    }

    public function get_control_defs(MediaURL $media_url, &$plugin_cookies) {
        return $this->do_get_control_defs($plugin_cookies);
    }

    public function handle_user_input(&$user_input, &$plugin_cookies) {
        hd_print('Setup: handle_user_input:');
        foreach ($user_input as $key => $value) hd_print("  $key => $value");

        switch($user_input->control_id) {
        case 'clear_auth_info':
        	if($user_input->action_type === 'apply') {
        		hd_print('Setup: reset auth data');
        		$this->session->logout($plugin_cookies);
			}
        	break;
        }

        return ActionFactory::reset_controls( $this->do_get_control_defs($plugin_cookies));
    }
}
?>
